# -*- coding: utf-8 -*-
"""
 BASEmesh: a QGIS plugin for the creation of computational meshes
 for the numerical modelling software BASEMENT using Jonathan Shewchuk's mesh
 generator 'Triangle'.

 Copyright (C) 2013 Florian Hinkelammert and Christian Volz, ETH Zurich
 hinkelammert@vaw.baug.ethz.ch / volz@vaw.baug.ethz.ch

 This QGIS Plugin is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

 For the mesh generator Triangle, the licence regulations are not obvious. It's
 author Jonathan Shevchuk has the copyright on the software and want's to be
 informed if the software is used. For more information, visit
 http://www.cs.cmu.edu/~quake/triangle.html.
"""

# This script initializes the plugin, making it known to QGIS.

def name():
    return "BASEmesh"

def version():
    return "Version 1.4.3"

def experimental():
    return False

def qgisMinimumVersion():
    """development was based on 2.8 API"""
    return "2.0"

def description():
    """description shown in qgis plugin manager"""
    return "Creation of computational meshes for BASEMENT using Jonathan Shewchuk's mesh generator 'Triangle'"

def icon():
    """icon shown in qgis plugin manager"""
    return "icons/basement.png"

def authorName():
    return "F. Hinkelammert, S. Kammerer, S. Peter: VAW ETH Zurich"

def classFactory(iface):
    """Load Plugin class from file basemesh and returns the class to qgis interface"""
    from basemesh import BASEmesh
    return BASEmesh(iface)
